# Dejvino's ErgoDone Keyboard Firmware

## Compile
1. Clone this repo in recursive mode (with submodules): `git clone --recurse-submodules <url>`
2. Setup QMK (see [docs](https://docs.qmk.fm/#/newbs_getting_started))
    1. Install qmk helper: `python3 -m pip install --user qmk`
    2. Run the setup: `qmk setup`
3. Compile (inside `qmk_firmware`)
    1. default ErgoDone keyboard (optional): `make ktec/ergodone:default`
    2. link Dejvino's keyboard layout: `ln -s $(pwd)../keymap keyboards/ktec/ergodone/keymaps/dejvino`
    3. Dejvino's ErgoDone keyboard layout: `make ktec/ergodone:dejvino`

## Flash
(see [ErgoDone Readme](./qmk_firmware/keyboards/ktec/ergodone/readme.md))

Get the [TKG Toolkit](https://github.com/kairyu/tkg-toolkit) flashing utility: `wget https://raw.githubusercontent.com/kairyu/tkg-toolkit/master/linux/bin/hid_bootloader_cli -O hid_bootloader_cli && chmod +x hid_bootloader_cli`

### Enter flashing mode
1. Disconnect KBD
2. Press and hold two top-right-most keys on the left-half KBD
3. Connect KBD (LEDs will be blinking)

### Flashing
1. `sudo ./hid_bootloader_cli -mmcu=atmega32u4 qmk_firmware/ktec_ergodone_dejvino.hex`
2. Disconnect & connect KBD 

## Resources
- [QMK Firmware](https://github.com/qmk/qmk_firmware)
- [TKG Toolkit](https://github.com/kairyu/tkg-toolkit)
- [ErgoDone Readme](./qmk_firmware/keyboards/ktec/ergodone/readme.md)
